package com.hotent.baseInfo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 目录操作响应VO
 *
 * @author 超级管理员
 * @since 2025-01-23
 */
@ApiModel(value = "CatalogOperationVo", description = "目录操作响应VO")
public class CatalogOperationVo {

    @ApiModelProperty(value = "目录ID")
    private String id;

    @ApiModelProperty(value = "目录编码")
    private String code;

    @ApiModelProperty(value = "目录名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private Integer status;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}